<template>
  <div class="flex flex-col items-start w-full p-6 pb-8">
    <div class="flex flex-col items-center w-full p-6 space-y-8 mt-4">
      <div class="flex flex-col items-center space-y-3">
        <span class="text-base">Report</span>
        <div
          class="flex flex-col items-center"
          v-for="historyItem in history"
          :key="historyItem.id"
        >
            <p>{{ historyItem.id }}</p>
            <p>{{ historyItem.title }}</p>
            <p>{{ historyItem.url }}</p>
        </div>
      </div>
    </div>
  </div>
</template>

<route lang="yaml">
name: Report
meta:
  layout: Default
</route>

<script lang="ts">
import { defineComponent } from "vue";

export default defineComponent({
  data() {
    return {
      history: null,
    };
  },
  mounted() {
    chrome.runtime.sendMessage(
      { type: "GET_HISTORY" },
      async (history: any) => {
        this.history = history;
        console.log(this.history);
      }
    );

    chrome.runtime.sendMessage(
      { type: "GET_EXTENSIONS" },
      async (extensions: any) => {
        console.log(extensions);
      }
    );
  },
});
</script>